Reputation
10,719
Top tag
Next privilege 15,000 Rep.
Protect questions
Badges
7 37 70
Impact
~1.8m people reached

Oct
2
awarded  Popular Question
Sep
30
awarded  Explainer
Sep
29
reviewed Approve Wireless connection doesn't work
Sep
29
reviewed Approve How to make Curl and PHP available when installed from Xampp
Sep
29
reviewed Approve I installed Ubuntu alongside Windows 8, but my Windows 8 is not opening
Sep
29
reviewed Approve resize partition of / on ubuntu server 12.04
Sep
29
reviewed Approve Using my Wi-Fi connection for another device
Sep
29
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@lpdbw I'm not able to give instructions on releases other that the ones listed on the usn as I have no way of finding a good version and verifying that it is indeed actually secure.
Sep
27
accepted What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
Sep
27
revised What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
deleted 440 characters in body
Sep
27
revised What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
deleted 440 characters in body
Sep
27
awarded  Great Question
Sep
27
awarded  Great Answer
Sep
27
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@blade19899 the new CVE has been fixed and I have already updated my answer. I'll update the question to use the better known term shellshock.
Sep
26
revised What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
deleted 284 characters in body
Sep
26
awarded  Favorite Question
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@daveshaw I would recommend creating a separate answer about the security-proposed ppa.
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@matth can you show a source, article, or demo to show that it is actually vulnerable? I've seen many articles indicating the contrary.
Sep
25
revised What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
added 383 characters in body
Sep
25
comment What is the CVE-2014-6271 bash vulnerability (Shellshock) and how do I fix it?
@don.joey it simply sets the environment variable called x to the value '() { :;}; echo vulnerable'. It then invokes bash asking it to echo back the word hello. The value of x that is set is a function definition that should do nothing. However, it is crafted to try to run 'echo vulnerable' at parsing of environment at bash start-up, which just prints vulnerable to standard out.